# Frontend-Wiederherstellung und Installation

Diese Anleitung erklärt, wie du das Frontend auf den Stand von Torbens letztem Commit zurücksetzen und installieren kannst.

## Vorhandene Skripte

Es wurden drei Skripte erstellt, um die Wiederherstellung des Frontends zu erleichtern:

1. `fix-frontend-install.sh` - Master-Skript, das beide unten genannten Skripte ausführt
2. `packages/restore-torben-frontend.sh` - Setzt das Frontend auf Torbens letzten Commit zurück
3. `packages/install-torben-frontend.sh` - Installiert die Abhängigkeiten des wiederhergestellten Frontends

## Schnelle Lösung

Für die schnellste Lösung führe einfach das Master-Skript aus:

```bash
chmod +x fix-frontend-install.sh
./fix-frontend-install.sh
```

Das Skript wird:
1. Das aktuelle Frontend-Verzeichnis sichern (optional)
2. Das Frontend auf Torbens letzten Commit (27. Mai 2024) zurücksetzen
3. Die Änderungen committen (optional)
4. Die Frontend-Abhängigkeiten installieren
5. Das Frontend bauen, um die Installation zu verifizieren

## Manuelle Schritte

Wenn du die Schritte manuell ausführen möchtest:

### 1. Frontend zurücksetzen

```bash
chmod +x packages/restore-torben-frontend.sh
./packages/restore-torben-frontend.sh
```

### 2. Frontend installieren

```bash
chmod +x packages/install-torben-frontend.sh
./packages/install-torben-frontend.sh
```

## Das System starten

### Frontend starten

```bash
cd packages/reservation-platform
pnpm dev
```

Das Frontend ist dann unter http://localhost:3000 erreichbar.

### Backend starten

```bash
cd backend
source venv/bin/activate
python app.py
```

Das Backend läuft dann auf http://localhost:5000.

### Backend-Autostart konfigurieren

Für den automatischen Start des Backends beim Hochfahren:

```bash
sudo ./backend/autostart-backend.sh
```

## Bekannte Probleme

- Wenn beim Frontend-Start Fehler auftreten, überprüfe die .env-Datei in packages/reservation-platform/
- Stelle sicher, dass das Backend erreichbar ist unter der URL, die in NEXT_PUBLIC_API_URL konfiguriert ist